com.versionone.apiclient.services

## Class QueryVariable

- java.lang.Object
- - com.versionone.apiclient.services.QueryVariable

- All Implemented Interfaces:
    IValueProvider

      public class QueryVariable
      extends Object
      implements IValueProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryVariable(String name, Object... values)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `canMerge()`
    `String` | `getToken()`
    `List<Object>` | `getValues()`
    `void` | `merge(IValueProvider valueProvider)`
    `String` | `stringize()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final String name

  - ### Constructor Detail

    - #### QueryVariable

          public QueryVariable(String name,
                               Object... values)

  - ### Method Detail

    - #### getValues

          public List<Object> getValues()

      Specified by:
        `getValues` in interface `IValueProvider`

    - #### getToken

          public String getToken()

    - #### stringize

          public String stringize()

      Specified by:
        `stringize` in interface `IValueProvider`

    - #### merge

          public void merge(IValueProvider valueProvider)

      Specified by:
        `merge` in interface `IValueProvider`

    - #### canMerge

          public Boolean canMerge()

      Specified by:
        `canMerge` in interface `IValueProvider`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 VersionOne, Inc.. All rights reserved.